<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010 Ugolotti Federica
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
defined( '_JEXEC' ) or die( 'Restricted access' );

class TableLocation extends JTable
{
	var $id = null;
	var $location = null;
	var $checked_out = 0;
	var $checked_out_time = 0;

	function TableLocation(& $db) {
		parent::__construct('#__ablocations', 'id', $db);
	}

	function check()
        {
                /** check for valid name */
                if (trim($this->location) == '') {
                        $this->setError(JText::_('LOCATION ITEM MUST HAVE A NAME'));
                        return false;
                }

                $alias = JFilterOutput::stringURLSafe($this->location);

                if(empty($this->alias) || $this->alias === $alias ) {
                        $this->alias = $alias;
                }
                return true;
        }
        function checkdel($cid)
        {
                //check per impedire la cancellazione di una categoria piena
                $query = 'SELECT * FROM #__abbook WHERE idlocation = '.$cid;
                $this->_db->setQuery($query);
                $xid = $this->_db->loadResult();
                if (count($xid) > 0) {
                        JError::raiseWarning('SOME_ERROR_CODE', JText::_('YOU CAN NOT TO DELETE A LOCATION ALREADY USED IN A BOOK'));
                        return false;
                }

                return true;
        }
}
