<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010 Ugolotti Federica
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
defined('_JEXEC') or die('Restricted access'); ?>
<form action="index.php?option=com_abook&amp;view=bookelement&amp;tmpl=component" method="post" name="adminForm">
<table class="adminform">
        <tr>
                <td width="100%">
			<?php echo JText::_( 'FILTER' ); ?>:
			<input type="text" name="search" id="search" value="<?php echo $this->lists['search'];?>" class="text_area" onchange="document.adminForm.submit();"/>
			<button onclick="this.form.submit();"><?php echo JText::_( 'GO' ); ?></button>
			<button onclick="document.getElementById('search').value='';this.form.submit();"><?php echo JText::_( 'RESET' ); ?></button>
                </td>
                <td nowrap="nowrap"><?php echo $this->lists['state']; ?></td>
		<td nowrap="nowrap"><?php echo $this->lists['catid']; ?></td>
        </tr>
</table>
<div id="editcell">
	<table class="adminlist">
	<thead>
		<tr>
			<th width="5">
				<?php echo JText::_( 'ID' ); ?>
			</th>
			<th>
				<?php echo JHTML::_('grid.sort',  'Title', 'a.title', $this->lists['order_Dir'], $this->lists['order'] );?>
			</th>
			<th>
                                <?php echo JText::_( 'AUTHOR' ); ?>
                        </th>
			<th>
                                <?php echo JText::_( 'EDITOR' ); ?>
                        </th>
			<th>
                                <?php echo JText::_( 'CATEGORY' ); ?>
                        </th>
			<th>
				<?php echo JHTML::_('grid.sort',  'NO CATALOG', 'a.catalogo', $this->lists['order_Dir'], $this->lists['order'], 'bookelement' );?>
                        </th>
			<th>
				<?php echo JHTML::_('grid.sort',  'DATE INSERT', 'a.dateinsert', $this->lists['order_Dir'], $this->lists['order'], 'bookelement' );?>
                        </th>
		</tr>
	</thead>
<tfoot>
    <tr>
      <td colspan="9"><?php echo $this->pagination->getListFooter(); ?></td>
    </tr>
  </tfoot>
	<?php
	$k = 0;
	for ($i=0, $n=count( $this->items ); $i < $n; $i++)	{
		$row = &$this->items[$i];
		$link 		= JRoute::_( 'index.php?option=com_abook&controller=book&task=edit&cid[]='. $row->id );
		?>
		<tr class="<?php echo "row$k"; ?>">
			<td>
				<?php echo $row->id; ?>
			</td>
			<td>
				<?php
                                if (  JTable::isCheckedOut($this->user->get ('id'), $row->checked_out ) ) {
                                        echo $this->escape($row->title);
                                } else {
                                ?>
                                <span class="editlinktip hasTip" title="<?php echo JText::_( 'SELECT BOOK' );?>::<?php echo $row->title; ?>">
				<a style="cursor:pointer" onclick="window.parent.elSelectEvent('<?php echo $row->id; ?>', '<?php echo str_replace( array("'", "\""), array("\\'", ""), $row->title ); ?>');">
                                        <?php echo htmlspecialchars($row->title, ENT_QUOTES, 'UTF-8'); ?>
                                        </a></span>
                                <?php
                                }
                                ?>
			</td>
			<td>
                                <?php echo $row->author; ?>
                        </td>
			<td>
                                <?php echo $row->editor; ?>
                        </td>
			<td>
                                <?php echo $row->category; ?>
                        </td>
			<td>
                                <?php echo $row->catalogo; ?>
                        </td>
			<td>
                                <?php echo $row->dateinsert; ?>
                        </td>
		</tr>
		<?php
		$k = 1 - $k;
	}
	?>
	</table>
</div>
<input type="hidden" name="option" value="com_abook" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="" />
</form>
<p><?php echo $this->lists['credit']; ?></p>
