<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010 Ugolotti Federica
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );

class AbookViewBooks extends JView
{
	function display($tpl = null)
	{
	global $mainframe, $option;
		$document       = & JFactory::getDocument();
                $document->addStyleSheet('components/'.$option.'/css/'.$option.'.css');
		$document->addScript(DS.'includes'.DS.'js'.DS.'overlib_mini.js');

		JToolBarHelper::title(   JText::_( 'BOOKS MANAGER' ), 'books' );
                JToolBarHelper::publishList();
                JToolBarHelper::unpublishList();
		JToolBarHelper::deleteList();
		JToolBarHelper::editListX();
		JToolBarHelper::addNewX();
		JToolBarHelper::preferences('com_abook', '550');

                $filter_order           = $mainframe->getUserStateFromRequest( $option.'.books.filter_order', 'filter_order', 'a.ordering', 'cmd' );
                $filter_order_Dir       = $mainframe->getUserStateFromRequest( $option.'.books.filter_order_Dir', 'filter_order_Dir', '', 'word' );
		$filter_state           = $mainframe->getUserStateFromRequest( $option.'.books.filter_state', 'filter_state', '*', 'word' );
		$filter_catid           = $mainframe->getUserStateFromRequest( $option.'.books.filter_catid', 'filter_catid', 0, 'int' );
                $search                 = $mainframe->getUserStateFromRequest( $option.'.books.search', 'search', '', 'string' );
                $search                 = JString::strtolower( $search );

		$params =& JComponentHelper::getParams( 'com_abook' );
                $lists['img_path'] = $params->get( 'img_path' );

                // table ordering
                $lists['order_Dir'] = $filter_order_Dir;
                $lists['order'] = $filter_order;
		$ordering = ($lists['order'] == 'a.ordering');

		// Get data from the model
		$items		= & $this->get( 'Data');
		$pagination = & $this->get( 'Pagination' );

                $lists['state'] = JHTML::_('grid.state', $filter_state );
		$lists['search']= $search;

		$cat          =& $this->get('Categorieslist');
                $top[]    = JHTML::_('select.option','0' , JText::_('SELECT A CATEGORY'), 'id', 'treename');
                $categorieslist=array_merge($top, $cat);
		$lists['catid'] = JHTML::_('select.genericlist', $categorieslist, 'filter_catid', 'class="inputbox" onchange="document.adminForm.submit();"','id', 'treename', $filter_catid );

		JHTML::addIncludePath(JPATH_COMPONENT.DS.'helpers');
                $lists['credit']=JHTML::_('credit.credit');
		JHTML::_('behavior.tooltip');
		$this->assignRef('user', JFactory::getUser());
		$this->assignRef('lists', $lists);
                $this->assignRef('pagination', $pagination);
		$this->assignRef('items', $items);
		$this->assignRef('params', $params);
		$this->assignRef('ordering', $ordering);

		parent::display($tpl);
	}
}
