<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010 Ugolotti Federica
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
defined('_JEXEC') or die('Restricted access'); ?>
<form action="index.php" method="post" name="adminForm">
                <table>
                <tr>
                        <td align="right" width="100%">
                                <?php echo JText::_( 'FILTER' ); ?>:
                                <input type="text" name="search" id="search" value="<?php echo $this->lists['search'];?>" class="text_area" onchange="document.adminForm.submit();" />
                                <button onclick="this.form.submit();"><?php echo JText::_( 'GO' ); ?></button>
                                <button onclick="document.getElementById('search').value='';this.form.submit();"><?php echo JText::_( 'RESET' ); ?></button>
                        </td>
                </tr>
                </table>
<div id="editcell">
	<table class="adminlist">
	<thead>
		<tr>
			<th width="5">
				<?php echo JText::_( 'ID' ); ?>
			</th>
			<th width="20">
				<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $this->items ); ?>);" />
			</th>			
			<th class="title">
                                <?php echo JHTML::_('grid.sort',  'Category', 'name', $this->lists['order_Dir'], $this->lists['order'] ); //con ordinamento ma è da finire?>
			</th>
			<th class="title" width="20">
				<?php echo JText::_( 'NO BOOKS' );?>
			</th>
			<th class="title" width="20">
				<?php echo JText::_( 'PUBLISHED' );?>
			</th>
			<th width="80"><?php echo JHTML::_('grid.sort', 'ORDER', 'c.ordering', $this->lists['order_Dir'], $this->lists['order'] ); ?></th>
                        <th width="1%"><?php echo JHTML::_('grid.order', $this->items, 'filesave.png', 'saveorder' ); ?></th>
			<th class="title" width="30">
				<?php echo JHTML::_('grid.sort',   'Access', 'groupname', @$lists['order_Dir'], @$lists['order'] ); ?>
			</th>
		</tr>
	</thead>


<tfoot>
    <tr>
      <td colspan="9"><?php echo $this->pagination->getListFooter(); ?></td>
    </tr>
  </tfoot>


	<?php
        $k = 0;
        $i = 0;
        $n = count( $this->items );
        $rows = &$this->items;
        foreach ($rows as $row) {
                $access         = JHTML::_('grid.access',   $row, $i );
                $checked        = JHTML::_('grid.checkedout',   $row, $i );
                $published      = JHTML::_('grid.published', $row, $i );
		$link 		= JRoute::_( 'index.php?option=com_abook&controller=category&task=edit&cid[]='. $row->id );
		?>
		<tr class="<?php echo "row$k"; ?>">
			<td>
				<?php echo $row->id; ?>
			</td>
			<td>
				<?php echo $checked; ?>
			</td>
			<td>
				<?php
                                if (  JTable::isCheckedOut($this->user->get ('id'), $row->checked_out ) ) {
                                        echo $this->escape($row->treename);
                                } else {
                                ?>
                                <span class="editlinktip hasTip" title="<?php echo JText::_( 'EDIT EDITOR' );?>::<?php echo $row->treename; ?>">
                                        <a href="<?php echo $link; ?>"><?php echo $row->treename; ?></a></span>
                                <?php
                                }
                                ?>
			</td>
			<td><?php echo $row->numero; ?></td>
			<td>
				<?php echo $published; ?>
			</td>
			<td class="order" colspan="2">
                        	<span><?php echo $this->pagination->orderUpIcon( $i, true, 'orderup', 'Move Up', $this->ordering ); ?></span>
                                <span><?php echo $this->pagination->orderDownIcon( $i, $n, true, 'orderdown', 'Move Down', $this->ordering );?></span>
                                <?php $disabled = $row->ordering ?  '' : '"disabled=disabled"'; ?>
                                <input type="text" name="order[]" id="order" size="5" value="<?php echo $row->ordering; ?>" <?php echo $disabled; ?> class="text_area" style="text-align: center" />
			</td>
			<td>
				<?php echo $access;?>
			</td>
		</tr>
		<?php
		$k = 1 - $k;
		$i= 1 + $i;
	}
	?>
	</table>
</div>

<input type="hidden" name="option" value="com_abook" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="controller" value="category" />
<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
</form>
<p><?php echo $this->lists['credit']; ?></p>
