<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010 Ugolotti Federica
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );

class AbookViewLocations extends JView
{
	function display($tpl = null)
	{
		global $mainframe, $option;
		$document       = & JFactory::getDocument();
		$document->addStyleSheet('components/'.$option.'/css/'.$option.'.css');
		JToolBarHelper::title(   JText::_( 'LOCATIONS MANAGER' ), 'locations' );
		JToolBarHelper::deleteList();
		JToolBarHelper::editListX();
		JToolBarHelper::addNewX();
		JToolBarHelper::preferences('com_abook', '550');
                $filter_order     = $mainframe->getUserStateFromRequest( $option.'.locations.filter_order', 'filter_order', 'location', 'cmd' );
                $filter_order_Dir = $mainframe->getUserStateFromRequest( $option.'.locations.filter_order_Dir', 'filter_order_Dir', '', 'word' );
		$search           = $mainframe->getUserStateFromRequest( $option.'.locations.search', 'search', '', 'string' );
                $search           = JString::strtolower( $search );
		$lists['search']= $search;

		// table ordering
                $lists['order_Dir'] = $filter_order_Dir;
                $lists['order'] = $filter_order;

		// Get data from the model
		$items		= & $this->get( 'Data');
		$pagination = & $this->get( 'Pagination' );

		JHTML::addIncludePath(JPATH_COMPONENT.DS.'helpers');
                $lists['credit']=JHTML::_('credit.credit');


		// push data into the template
		$this->assignRef('user',                JFactory::getUser());
		$this->assignRef('lists',               $lists);
		$this->assignRef('items',		$items);
		$this->assignRef('pagination', $pagination);

		parent::display($tpl);
	}
}
