<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010 Ugolotti Federica
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die( 'Restricted access' );

jimport('joomla.application.component.controller');

class AbookControllerBook extends AbookController
{
        function display()
        {
                parent::display();
        }

        function vote()
        {
		global $mainframe;
                $url    = JRequest::getVar('url', '', 'default', 'string');
                $rating = JRequest::getVar('user_rating', 0, '', 'int');
                $id     = JRequest::getVar('id', 0, '', 'string');
		$catid  = JRequest::getVar('catid', 0, '', 'string');

                // Get/Create the model
                $model = & $this->getModel('book' );
                $model->setId($id);

                if(JURI::isInternal($url)) {
                        $bookurl = JRoute::_($url);
                }

                if ($model->storeVote($rating)) {
                        $this->setRedirect($bookurl, JText::_('THANKS FOR RATING'));
                } else {
                        $this->setRedirect($bookurl, JText::_('YOU ALREADY RATED'));
                }
        }

	function search()
        {
		$post   = JRequest::get('post');
		$link=JRoute::_("index.php?option=com_abook&controller=search&keyword=".$post['keyword']);
		$this->setRedirect($link);
	}
}
