<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010 Ugolotti Federica
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die('Restricted access');

class JHTMLIcon
{

	function pdf($book, $params, $access, $attribs = array())
        {
               	$url  = 'index.php?view=book&option=com_abook';
		$url .=  @$book->catid ? '&catid='.$book->catid : '';
		$url .= '&id='.$book->id.'&format=pdf';
               	$status = 'status=no,toolbar=no,scrollbars=yes,titlebar=no,menubar=no,resizable=yes,width=640,height=480,directories=no,location=no';
                // checks template image directory for image, if non found default are loaded
       	        if ($params->get('show_icons')) {
               	        $text = JHTML::_('image.site', 'pdf_button.png', '/images/M_images/', NULL, NULL, JText::_('PDF'));
                } else {
       	                $text = JText::_('PDF').'&nbsp;';
                }
       	        $attribs['title']       = JText::_( 'PDF' );
               	$attribs['onclick'] = "window.open(this.href,'win2','".$status."'); return false;";
                $attribs['rel']     = 'nofollow';
       	        return JHTML::_('link', JRoute::_($url), $text, $attribs);
       }

	function print_popup($book, $params, $access, $attribs = array())
        {
                $url  = 'index.php?view=book';
		$url .=  @$book->catid ? '&catid='.$book->catid : '';
		$url .= '&id='.$book->id.'&tmpl=component&print=1&layout=default&page='.@ $request->limitstart;

                $status = 'status=no,toolbar=no,scrollbars=yes,titlebar=no,menubar=no,resizable=yes,width=640,height=480,directories=no,location=no';

                // checks template image directory for image, if non found default are loaded
                if ( $params->get( 'show_icons' ) ) {
                        $text = JHTML::_('image.site',  'printButton.png', '/images/M_images/', NULL, NULL, JText::_( 'Print' ) );
                } else {
                        $text = JText::_( 'ICON_SEP' ) .'&nbsp;'. JText::_( 'Print' ) .'&nbsp;'. JText::_( 'ICON_SEP' );
                }

                $attribs['title']       = JText::_( 'Print' );
                $attribs['onclick'] = "window.open(this.href,'win2','".$status."'); return false;";
                $attribs['rel']     = 'nofollow';

                return JHTML::_('link', JRoute::_($url), $text, $attribs);
        }

	function print_screen($book, $params, $access, $attribs = array())
        {
                // checks template image directory for image, if non found default are loaded
                if ( $params->get( 'show_icons' ) ) {
                        $text = JHTML::_('image.site',  'printButton.png', '/images/M_images/', NULL, NULL, JText::_( 'Print' ) );
                } else {
                        $text = JText::_( 'ICON_SEP' ) .'&nbsp;'. JText::_( 'Print' ) .'&nbsp;'. JText::_( 'ICON_SEP' );
                }
                return '<a href="#" onclick="window.print();return false;">'.$text.'</a>';
        }

}
