<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010 Ugolotti Federica
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );

class AbookViewCategories extends JView
{
	function display($tpl = null)
	{
		global $mainframe, $option;
		// Get data from the model
		$items		= & $this->get( 'Data');
		$pagination = & $this->get( 'Pagination' );
		$params = &JComponentHelper::getParams( 'com_abook' );
		$params->get('categorypagination');
		$document       = & JFactory::getDocument();
		$document->addStyleSheet('components/'.$option.'/css/style.css');

//*-------------
		$menus           = & JSite::getMenu();
                $menu           = $menus->getActive();
		if (is_object( $menu )) {
                        $menu_params = new JParameter( $menu->params );
                        if (!$menu_params->get( 'page_title')) {
                                $params->set('page_title',      $params->get('comp_name'));
                        }
                } else {
                        $params->set('page_title',     $params->get('comp_name'));
                }
//------------*/

		JHTML::addIncludePath(JPATH_COMPONENT.DS.'helpers');
                $lists['credit']=JHTML::_('credit.credit');

		// push data into the template
		$this->assignRef('items', $items);
		$this->assignRef('pagination', $pagination);
		$this->assignRef('params', $params);
		$this->assignRef('lists', $lists);

		parent::display($tpl);
	}
}
