<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010 Ugolotti Federica
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die('Restricted access'); ?>
<?php if ( $this->params->get( 'show_page_title', 1 ) ) : ?>
<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
        <?php echo $this->params->get( 'page_title' ); ?>
</div>
<?php endif; ?>
<?php if ($this->params->get( 'search' )== 1) { ?>
<div class="booksearch<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
        <form action="<?php echo JRoute::_( 'index.php?option=com_abook&view=search' ); ?>" method="post" name="adminForm" id="adminForm">
		<?php echo JHTML::_( 'form.token' ); ?>
		<table>
                <tr>
                	<td><input type="text" name="keyword" id="keyword" size="10" maxlength="50" value="" />
                	<input type="hidden" name="task" value="search" /></td>
	                <td><?php $img = JHTML::_('image.site', 'find.png', '/components/com_abook/images/', NULL, NULL, JText::_( 'Search' ), null, 0);?>
        	        <input type="image" name="Search" value="<?php echo JText::_( 'Search' );?>" onclick="this.form.submit()" class="button" src="<?php echo $img;?>" /></td>
		</tr>
        </form>
		<tr>
        		<td>   
                	<?php $searchlink = JRoute::_( 'index.php?option=com_abook&view=search');?>
                	<a href="<?php echo $searchlink; ?>"><?php echo JText::_('Advanced Search'); ?></a>
        		</td>
		</tr>
                </table>
</div>
<?php } ?>
<div style="clear:both"></div>
<?php if ($this->params->get( 'breadcrumb' )== 2) { ?>
<p><div><a href="<?php echo JRoute::_('index.php?option=com_abook&view=categories');?>"><?php echo JText::_('BACK TO TOP'); ?></a> <?php echo '>'; ?>
        <?php
        $n=count($this->lists['catname']);
        foreach ($this->lists['catname'] as $k => $catname){
		if ($k!=$n - 1){
                	echo '<a href="' .JRoute::_('index.php?option=com_abook&view=category&id=' .$catname->slug) .'">' .$catname->name .'</a>';
                	echo ' > ';
		} else {
			echo $catname->name;
		}
        }?>
	<hr class="separator<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
</div></p>
<?php } ?>
<table width="100%" class="contentpaneopen<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
	<?php if (count($this->category)>0){?>
                <tr>
                        <td colspan="2" class="contentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>"><?php echo JText::_( 'Category' ); ?> <?php echo $this->category->name; ?></td>
                </tr>
                <?php if ($this->category->description!=''){?>
                <tr>
                        <td colspan="2"><p><?php echo $this->category->description; ?></p></td>
                </tr>
		<tr>
                	<td colspan="2"><hr class="separator"></td>
        	</tr>
        <?php }?>
        <?php }?>
	<?php if ($this->subcategory) {
        $k = 0;
        $i = 0;
        $n = count( $this->subcategory );
        $rows = &$this->subcategory;
        foreach ($rows as $row) {
                $link           = JRoute::_( 'index.php?option=com_abook&view=category&id='. $row->slug );
                if ($this->params->get( 'emptycat' )==0) {
                        if (($row->numero>0) || ($row->numero==0 && $row->children>0)){ ?>
                		<tr class="sectiontableentry<?php echo $k+1; ?><?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
					<span class="fullcat<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
                        		<td colspan="2"><a href="<?php echo $link; ?>"><?php echo $row->treename; ?></a> (<?php echo $row->numero; ?>)</td>
					</span>
                		</tr>
			<?php }?>
                <?php }else{
			if ($row->numero!=0 || $row->children!=0){ ?>
                        	<tr class="sectiontableentry<?php echo $k+1; ?><?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
                        		<td colspan="2">
						<span class="fullcat<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
                                        	<a href="<?php echo $link; ?>"><?php echo $row->treename; ?></a> (<?php echo $row->numero; ?>)
						</span>
					</td>
				</tr>
                        <?php }else{ ?>
					<tr class="sectiontableentry<?php echo $k+1; ?><?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
                                        	<td colspan="2">
                        				<span class="emptycat<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
							<?php echo $row->treename; ?> (<?php echo $row->numero; ?>)
							</span>
						</td>
					</tr>
			<?php }
                }
                $i= 1 + $i;
		$k = 1 - $k;
        }?>
		<tr>
                        <td colspan="2"><hr class="separator"></td>
                </tr>
	<?php }
        ?>

	<?php
        $imgpath=$this->params->get( 'img_path' );
        $k = 0;
        $i = 0;
        $n = count( $this->books );
        $rows = &$this->books;
	if (count($rows)>0){
        foreach ($rows as $row) {
		$link 		= JRoute::_( 'index.php?option=com_abook&view=book&catid='.$this->category->slug.'&id='. $row->slug);
		?>
		<tr class="sectiontableentry<?php echo $k+1; ?><?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
			<td width="100" height="100">
			<?php if ($row->image){
				echo '<a href="'.$link.'" title="'.JText::_('COVEROF').' '.$row->title.'"><img src="images/'.$imgpath.'/'.$row->image .'" width="80" hspace="5" vspace="5" alt="'.JText::_('COVEROF').' '.$row->title.'"/></a>';
			      }else{
				echo '<a href="'.$link.'" title="'.JText::_('NOCOVEROF').' '.$row->title.'"><img src="components/com_abook/images/nocover.png" width="80" alt="'.JText::_('NOCOVEROF').' '.$row->title.'" class="nocover" /></a>';
			      }?>
			</td>
			<td width="90%" align="left">
				<a href="<?php echo $link; ?>"><?php echo '<big><strong>' .$row->title .'</strong></big>';
                                if ($row->subtitle){
	                                echo "<p><em>" .$row->subtitle ."</em></p>";
                                }?></a>
				<?php if ($row->author!=''){ ?>
					<p><?php echo $row->editedby==1 ? JText::_('Edited by') : JText::_('By'); echo " " .$row->author;?></p>
				<?php } ?>
				<?php //rating
                		if ($this->params->get( 'view_rate' )){
					$html="";
                        		$img = '';

                        		// look for images in template if available
                        		$starImageOn    = JHTML::_('image.site',  'rating_star.png', '/images/M_images/' );
                        		$starImageOff   = JHTML::_('image.site',  'rating_star_blank.png', '/images/M_images/' );

                        		for ($i=0; $i < $row->rating; $i++) {
                                		$img .= $starImageOn;
                        		}
                        		for ($i=$row->rating; $i < 5; $i++) {
                                		$img .= $starImageOff;
                        		}
                        		$html .= '<br /><span class="content_rating'.$this->escape($this->params->get('pageclass_sfx')).'">';
                        		$html .= JText::_( 'User Rating' ) .':'. $img .'&nbsp;/&nbsp;';
                        		$html .= intval( $row->rating_count );
                        		$html .= "</span>\n";
                        		echo $html;
                		}
                		?>
				<?php if ($this->params->get( 'show_hits' )==1){?>
				<p><?php echo JText::_('Hits');?>: <?php echo $row->hits;?></p>
				<?php }?>
				<?php //jcomment integration
				if ($this->params->get( 'jcomment' )==1){
                		$comments = JPATH_BASE . DS.'components'.DS.'com_jcomments'.DS.'jcomments.php';
                			if (file_exists($comments)) {
                        			require_once($comments);
                        			$count = JComments::getCommentsCount($row->id, 'com_abook');
						echo '<p><a href="'.$link.'">';
                        			echo $count ? JText::_('Comments').' ('. $count . ')' : JText::_('Comments').' (0)';	
						echo '</a></p>';
					}
				}/*jcomment integration - end*/?>
			</td>
		</tr>
		<?php
		$k = 1 - $k;
		$i= 1 + $i;
	}
	}
	?>
	<tr>
		<td colspan="2">
			<div style="float:left;"></div>
			<div style="float:right;"><?php echo $this->lists['credit']; ?></div>
		</td>
	</tr>
	<tr>
        	<td colspan="2" class="book-nav"><?php echo $this->pagination->getPagesLinks(); ?></td>
        </tr>
</table>
