<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010 Ugolotti Federica
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
defined('_JEXEC') or die('Restricted access'); ?>
<form action="<?php echo JRoute::_( 'index.php?option=com_abook&view=search' ); ?>" method="post" name="adminForm" id="adminForm" enctype="multipart/form-data">
	<table class="contentpaneopen<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
		<tr>
                        <td class="contentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>"><?php echo JText::_( 'Search book' ); ?></td>
                </tr>
		<tr>
                	<td valign="top" align="left" class="key abook_search_params">
                        	<p><label for="title"><?php echo JText::_( 'SEARCH KEYWORD' ); ?>:</label><input type="text" name="keyword" id="keyword" size="20" maxlength="50" value="<?php echo $this->lists['keyword']; ?>" /> (<?php echo JText::_( 'Title' ); ?>/<?php echo JText::_( 'Review' ); ?>/<?php echo JText::_( 'Category' ); ?>/<?php echo JText::_( 'CATALOG_NUMBER' ); ?>)</p><div class="clr"></div>
				<?php if ($this->params->get('show_search_cat')){ ?>
					<p><label for="category"><?php echo JText::_( 'Category' ); ?>:</label><?php echo $this->lists['category']; ?></p>
				<?php } ?>
				<?php if ($this->params->get('show_search_loc')){ ?>
					<p><label for="location"><?php echo JText::_( 'Location' ); ?>:</label><?php echo $this->lists['location']; ?></p>
				<?php } ?>
				<?php if ($this->params->get('show_search_editor')){ ?>
					<p><label for="ideditor"><?php echo JText::_( 'Editor' ); ?>:</label><?php echo $this->lists['ideditor']; ?></p>
				<?php } ?>
				<?php if ($this->params->get('show_search_auth')){ ?>
					<p><label for="author"><?php echo JText::_( 'Author' ); ?>:</label><?php echo $this->lists['author']; ?></p>
				<?php } ?>
				<?php if ($this->params->get('show_search_year')){ ?>
					<p><label for="year"><?php echo JText::_( 'Year' ); ?>:</label><?php echo $this->lists['year']; ?></p>
				<?php } ?>
				<?php if ($this->params->get('show_search_lib')){ ?>
					<p><label for="library"><?php echo JText::_( 'Library' ); ?>:</label><?php echo $this->lists['library']; ?></p>
				<?php } ?>
                        </td>
                </tr>
		<tr>
                        <td nowrap="nowrap" align="center">
                                <button name="Search" onclick="this.form.submit()" class="button"><?php echo JText::_( 'Search' );?></button>
                        </td>
                </tr>
	</table>

	<input type="hidden" name="option" value="com_abook" />
	<input type="hidden" name="task" value="search" />
	<input type="hidden" name="controller" value="search" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>
