<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010 Ugolotti Federica
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
defined('_JEXEC') or die( 'Restricted access' );

class JElementAuthor extends JElement
{
        var     $_name = 'Name';

        function fetchElement($name, $value, &$node, $control_name)
        {
                $doc            =& JFactory::getDocument();
                $fieldName      = $control_name.'['.$name.']';

                JTable::addIncludePath(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_abook'.DS.'tables');

                $author =& JTable::getInstance('author', 'Table');
                if ($value) {
                        $author->load($value);
                } else {
                        $author->name = JText::_('SELECTAUTHOR');
                }

                $js = "
                function elSelectEvent(id, name) {
                        document.getElementById('a_id').value = id;
                        document.getElementById('a_name').value = name;
                        document.getElementById('sbox-window').close();
                }";

                $link = 'index.php?option=com_abook&amp;view=authorelement&amp;tmpl=component';
                $doc->addScriptDeclaration($js);

                JHTML::_('behavior.modal', 'a.modal');

                $html = "\n<div style=\"float: left;\"><input style=\"background: #ffffff;\" type=\"text\" id=\"a_name\" value=\"$author->name\" disabled=\"disabled\" /></div>";
                $html .= "<div class=\"button2-left\"><div class=\"blank\"><a class=\"modal\" title=\"".JText::_('SELECT')."\"  href=\"$link\" rel=\"{handler: 'iframe', size: {x: 650, y: 375}}\">".JText::_('SELECT')."</a></div></div>\n";
                $html .= "\n<input type=\"hidden\" id=\"a_id\" name=\"$fieldName\" value=\"$value\" />";

                return $html;
        }
}

?>
