<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010 Ugolotti Federica
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die('Direct Access to this location is not allowed.');
jimport( 'joomla.application.component.helper' );
function com_install(){
	//abook 1.10
//aggiunge campo file nella tabella #__abbook
	$db = & JFactory::getDBO();
	$query="SHOW COLUMNS FROM #__abbook LIKE 'file'";
	$db->setQuery( $query );
	$db->query();
        $rows=$db->getNumRows();
	$database_ok=0;
	$database_up=0;
	if ( $rows == 0 ) {
		$database_ok++;
		$query= "ALTER TABLE #__abbook ADD file VARCHAR( 255 ) NOT NULL AFTER image";
		$db->setQuery( $query );
		if(!$db->query()){
      			echo $db->getErrorMsg();
    		}else{
			$database_up++;
		}
	}
//aggiunge campo ordering nella tabella #__abbook
        $query="SHOW COLUMNS FROM #__abbook LIKE 'ordering'";
        $db->setQuery( $query );
        $db->query();
        $rows=$db->getAffectedRows();
        if ( $rows == 0 ) {
		$database_ok++;
                $query= "ALTER TABLE #__abbook ADD ordering INT( 11 ) NOT NULL DEFAULT '0' AFTER published";
                $db->setQuery( $query );
                if(!$db->query()){
                        echo $db->getErrorMsg();
                }else{
                	$database_up++;
		}
        }
//trasforma il campo catalogo da numero a testo
	$query="SHOW COLUMNS FROM #__abbook where field='catalogo' and type='varchar(15)'";
	$db->setQuery( $query );
        $db->query();
        $rows=$db->getAffectedRows();
        if ( $rows == 0 ) {
                $database_ok++;
		$query="ALTER TABLE #__abbook CHANGE catalogo catalogo VARCHAR( 15 ) NULL DEFAULT NULL";
		$db->setQuery( $query );
		if(!$db->query()){
        		echo $db->getErrorMsg();
	        }else{
        	        $database_up++;
        	}
	}
//aggiunge il parametro file_path nella configurazione del componente
	$params =& JComponentHelper::getParams( 'com_abook' );
	$new_params=array();
	$new_params['img_path']='abook';
	$new_params['file_path']='abook_file';
	$new_params['cat_img_path']='abook_img_cat';
	$new_params['linkto']='1';
	$new_params['linkimage']='carrello.png';	
	$new_params['search']='1';
	$new_params['breadcrumb']='2';
	$new_params['emptycat']='1';
	$new_params['custom_cat_img']='0';
	$new_params['catimage']='folder_yellow.png';
	$new_params['categorypagination']='20';	
	$new_params['bookpagination']='10';
	$new_params['jcomment']='1';
	$new_params['view_rate']='1';
	$new_params['permit_rate']='29';
	$new_params['display_order']='title';
        $new_params['cat_display_order']='title';
	$new_params['display_order_dir']='ASC';
	$new_params['view_date']='1';
	$new_params['show_icons']='1'; 
	$new_params['show_pdf_icon']='1';
	$new_params['show_print_icon']='1';
	$new_params['show_hits']='1';
	$new_params['show_search_cat']='1';
	$new_params['show_search_auth']='1';
	$new_params['show_search_editor']='1';
	$new_params['show_search_lib']='1';
	$new_params['show_search_loc']='1';
	$new_params['show_search_year']='1';

	foreach ($new_params as $key=>$value) {
	if (!$params->get($key)){
		$database_ok++;
		$query = "SELECT params FROM #__components WHERE name = 'Abook'";
		$db->setQuery( $query );
		$old_params=$db->loadResult();
		$new_params=$old_params."\n\r".$key."=".$value;
		$query = "UPDATE #__components SET params = '".$new_params."' WHERE name = 'Abook'";
		$db->setQuery( $query );
		if(!$db->query()){
			echo $db->getErrorMsg();
		}else{
                        $database_up++;
                }
	}
	}

	//aggiunge il campo note alla tabella #__abbook
	$query="SHOW COLUMNS FROM #__abbook LIKE 'note'";
        $db->setQuery( $query );
        $db->query();
        $rows=$db->getAffectedRows();
        if ( $rows == 0 ) {
                $database_ok++;
                $query= "ALTER TABLE `#__abbook` ADD `note` VARCHAR( 255 ) NOT NULL";
                $db->setQuery( $query );
                if(!$db->query()){
                        echo $db->getErrorMsg();
                }else{
                        $database_up++;
                }
        }
	//aggiunge il campo editedby alla tabella #__abbook
        $query="SHOW COLUMNS FROM #__abbook LIKE 'editedby'";
        $db->setQuery( $query );
        $db->query();
        $rows=$db->getAffectedRows();
        if ( $rows == 0 ) {
                $database_ok++;
                $query= "ALTER TABLE `#__abbook` ADD `editedby` VARCHAR( 255 ) NOT NULL";
                $db->setQuery( $query );
                if(!$db->query()){
                        echo $db->getErrorMsg();
                }else{
                        $database_up++;
                }
        }
	//aggiunge il campo catimage alla tabella #__abcategories
        $query="SHOW COLUMNS FROM #__abcategories LIKE 'catimage'";
        $db->setQuery( $query );
        $db->query();
        $rows=$db->getAffectedRows();
        if ( $rows == 0 ) {
                $database_ok++;
                $query= "ALTER TABLE `#__abcategories` ADD `catimage` VARCHAR( 255 ) NOT NULL";
                $db->setQuery( $query );
                if(!$db->query()){
                        echo $db->getErrorMsg();
                }else{
                        $database_up++;
                }
        }
	//trasforma il campo prezzo
        $query="SHOW COLUMNS FROM `#__abbook` where field='price' and `default`='0'";
        $db->setQuery( $query );
        $db->query();
        $rows=$db->getAffectedRows();
        if ( $rows == 0 ) {
                $database_ok++;
                $query="ALTER TABLE #__abbook CHANGE price price VARCHAR( 255 ) NOT NULL";
                $db->setQuery( $query );
                if(!$db->query()){
                        echo $db->getErrorMsg();
                }else{
                        $database_up++;
                }
        }

//check update
	if ($database_ok==0){
		echo '<div>Database OK</div>';
	}
	if ($database_up==5){
		echo '<div>Database updated version 1.1.1</div>';
	}
}
