<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010 Ugolotti Federica
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
defined('_JEXEC') or die('Restricted access'); ?>

<table cellspacing="0" cellpadding="0" border="0" width="100%">
                <tr>
                        <td valign="top">
                        <table class="adminlist">
                                <tr>
                                        <td>
                                                <div id="cpanel">
                                                <?php
						$link = 'index.php?option=com_abook&amp;controller=book&amp;task=add';
                                                AbookViewAbook::quickiconButton( $link, 'abook-book-add-48.png', JText::_( 'NEW BOOK' ));

						$link = 'index.php?option=com_abook&amp;controller=book';
                                                AbookViewAbook::quickiconButton( $link, 'abook-books-48.png', JText::_( 'BOOKS' ) );

						$link = 'index.php?option=com_abook&amp;controller=category&amp;task=add';
                                                AbookViewAbook::quickiconButton( $link, 'abook-category-add-48.png', JText::_( 'NEW CATEGORY' ) );

						$link = 'index.php?option=com_abook&amp;controller=category';
                                                AbookViewAbook::quickiconButton( $link, 'abook-categories-48.png', JText::_( 'CATEGORIES' ) );

						$link = 'index.php?option=com_abook&amp;controller=author&amp;task=add';
                                                AbookViewAbook::quickiconButton( $link, 'abook-author-add-48.png', JText::_( 'NEW AUTHOR' ) );

						$link = 'index.php?option=com_abook&amp;controller=author';
                                                AbookViewAbook::quickiconButton( $link, 'abook-authors-48.png', JText::_( 'AUTHORS' ) );

						$link = 'index.php?option=com_abook&amp;controller=editor&amp;task=add';
                                                AbookViewAbook::quickiconButton( $link, 'abook-editor-add-48.png', JText::_( 'NEW EDITOR' ) );

						$link = 'index.php?option=com_abook&amp;controller=editor';
                                                AbookViewAbook::quickiconButton( $link, 'abook-editors-48.png', JText::_( 'EDITORS' ) );

						$link = 'index.php?option=com_abook&amp;controller=library&amp;task=add';
                                                AbookViewAbook::quickiconButton( $link, 'abook-library-add-48.png', JText::_( 'NEW LIBRARY' ) );

						$link = 'index.php?option=com_abook&amp;controller=library';
                                                AbookViewAbook::quickiconButton( $link, 'abook-libraries-48.png', JText::_( 'libraries' ) );

						$link = 'index.php?option=com_abook&amp;controller=location&amp;task=add';
                                                AbookViewAbook::quickiconButton( $link, 'abook-location-add-48.png', JText::_( 'NEW LOCATION' ) );

						$link = 'index.php?option=com_abook&amp;controller=location';
                                                AbookViewAbook::quickiconButton( $link, 'abook-locations-48.png', JText::_( 'locations' ) );
						JToolBarHelper::preferences('com_abook', '550');
						?>
                                                </div>
					</td>
                                </tr>
                        </table>
		</td>
		<td width="40%" valign="top">
			<?php
                        $title = JText::_( 'INFO' );
                        echo $this->pane->startPane( 'stat-pane' );
                        echo $this->pane->startPanel( $title, 'credit' );
                        ?>
			<table class="adminlist">
                                <tr>
					<td align="center">
						<p><?php echo JText::_( 'DONATE' ); ?></p>
						<form action="https://www.paypal.com/cgi-bin/webscr" method="post">
							<input type="hidden" name="cmd" value="_s-xclick">
							<input type="hidden" name="hosted_button_id" value="P9RYYK9RHKH4Y">
							<input type="image" src="https://www.paypal.com/it_IT/IT/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="PayPal - Il sistema di pagamento online più facile e sicuro!">
							<img alt="" border="0" src="https://www.paypal.com/it_IT/i/scr/pixel.gif" width="1" height="1">
						</form>
					</td>
				</tr>
			</table>
			<?php
                                $title = JText::_( 'STATS' );
                                echo $this->pane->endPanel();
                                echo $this->pane->startPanel( $title, 'books' );
                        ?>
			<table class="adminlist">
				<thead>
				<tr>
                                        <th colspan="2">
                                                <?php echo JText::_( 'BOOKS' ); ?>
                                        </th>
                                </tr>
				</thead>
                        	<tr>
                                	<td>
                                        	<?php echo JText::_( 'PUBLISHED' ).': '; ?>
                                        </td>
                                        <td>
                                        	<?php echo $this->books['published']; ?>
                                        </td>
                                </tr>
                                <tr>
                                        <td>
                                        	<?php echo JText::_( 'UNPUBLISHED' ).': '; ?>
                                        </td>
                                        <td>
                                        	<?php echo $this->books['unpublished']; ?>
                                	</td>
                                </tr>
                                <tr>
                                        <td>
                                        	<?php echo JText::_( 'TOTAL' ).': '; ?>
                                        </td>
                                        <td>
                                        	<?php echo $this->books['total']; ?>
                                        </td>
                        	</tr>
				<thead>
				<tr>
					<th colspan="2">
						<?php echo JText::_( 'CATEGORIES' ); ?>
					</th>
				<tr>
				</thead>
				<tr>
                                        <td>
                                                <?php echo JText::_( 'PUBLISHED' ).': '; ?>
                                        </td>
                                        <td>
                                                <?php echo $this->categories['published']; ?>
                                        </td>
                                </tr>
                                <tr>
                                        <td>
                                                <?php echo JText::_( 'UNPUBLISHED' ).': '; ?>
                                        </td>
                                        <td>
                                                <?php echo $this->categories['unpublished']; ?>
                                        </td>
                                </tr>
                                <tr>
                                        <td>
                                                <?php echo JText::_( 'TOTAL' ).': '; ?>
                                        </td>
                                        <td>
                                                <?php echo $this->categories['total']; ?>
                                        </td>
                                </tr>
				<thead>
				<tr>
                                        <th colspan="2">
                                                <?php echo JText::_( 'AUTHORS' ); ?>
                                        </th>
                                <tr>
				</thead>
				<tr>
                                        <td>
                                                <?php echo JText::_( 'TOTAL' ).': '; ?>
                                        </td>
                                        <td>
                                                <?php echo $this->authors['total']; ?>
                                        </td>
                                </tr>
				<thead>
				<tr>
                                        <th colspan="2">
                                        	<?php echo JText::_( 'EDITORS' ); ?>        
                                        </th>
                                <tr>
				</thead>
				<tr>
                                        <td>
                                                <?php echo JText::_( 'TOTAL' ).': '; ?>
                                        </td>
                                        <td>
                                                <?php echo $this->editors['total']; ?>
                                        </td>
                                </tr>
				<thead>
                                <tr>
                                        <th colspan="2">
                                                <?php echo JText::_( 'LIBRARIES' ); ?>
                                        </th>
                                <tr>
				</thead>
				<tr>
                                        <td>
                                                <?php echo JText::_( 'TOTAL' ).': '; ?>
                                        </td>
                                        <td>
                                                <?php echo $this->libraries['total']; ?>
                                        </td>
                                </tr>
				<thead>
                                <tr>
                                        <th colspan="2">
                                                <?php echo JText::_( 'LOCATIONS' ); ?>
                                        </th>
                                <tr>
				</thead>
				<tr>
                                        <td>
                                                <?php echo JText::_( 'TOTAL' ).': '; ?>
                                        </td>
                                        <td>
                                                <?php echo $this->locations['total']; ?>
                                        </td>
                                </tr>
                        </table>
			<?php
                                $title = JText::_( 'MOST VIEWED' );
                                echo $this->pane->endPanel();
                                echo $this->pane->startPanel( $title, 'mostviewed' );
			?>
			<table class="adminlist">
				<thead>
                                        <tr>
                                                <td>
                                                        <?php echo JText::_( 'TITLE' ).': '; ?>
                                                </td>
                                                <td>
                                                        <?php echo JText::_( 'VIEWED' ).': '; ?>
                                                </td>
                                        </tr>
				</thead>
                                <tbody>
					<?php
                                        $k = 0;
                                        for ($i=0, $n=count( $this->mostviewed ); $i < $n; $i++){
                                        $row = &$this->mostviewed[$i];?>
                                        <tr>
                                                <td>
                                                        <a href="<?php echo JRoute::_( 'index.php?option=com_abook&controller=book&task=edit&cid[]='. $row->id );?>"><?php echo $row->title; ?></a>
                                                </td>
                                                <td width="1%" align="center">
                                                        <?php echo $row->hits; ?>
                                                </td>
                                        </tr>
                                        <?php
                                        $k = 1 - $k;
                                        } ?>
                                </tbody>
			</table>
			<?php
                                $title = JText::_( 'MOST RATED' );
                                echo $this->pane->endPanel();
                                echo $this->pane->startPanel( $title, 'mostrated' );
                        ?>
                        <table class="adminlist">
				<thead>
					<tr>
						<th>
							<?php echo JText::_( 'TITLE' ); ?>
						</th>
						<th>
							<?php echo JText::_( 'RATE' ); ?>
						</th>
					</tr>
				</thead>
				<tbody>
					<?php 
					$k = 0;
					for ($i=0, $n=count( $this->mostrated ); $i < $n; $i++){
					$row = &$this->mostrated[$i];?>
                                        <tr>
                                                <td>
                                                        <a href="<?php echo JRoute::_( 'index.php?option=com_abook&controller=book&task=edit&cid[]='. $row->id );?>"><?php echo $row->title; ?></a>
                                                </td>
                                                <td width="1%" align="center">
                                                        <?php echo $row->rating_count; ?>
                                                </td>
                                        </tr>
					<?php 
					$k = 1 - $k;
					} ?>
				</tbody>
                        </table>
			<?php
                                $title = JText::_( 'LICENSE' );
                                echo $this->pane->endPanel();
                                echo $this->pane->startPanel( $title, 'license' );
                        ?>
			<table class="adminlist">
                        	<tr>
                                	<td>
                                        	<p><?php echo JText::_( 'LICENSE1' ); ?></p>
                                                <p><?php echo JText::_( 'LICENSE2' ); ?></p>
                                                <p><?php echo JText::_( 'LICENSE3' ); ?></p>
                                        </td>
                                </tr>
			</table>
			<?php
                                echo $this->pane->endPanel();
                                echo $this->pane->endPane();
                        ?>
		</td>
	</tr>
</table>
<p><?php echo $this->lists['credit']; ?></p>
				
