<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010 Ugolotti Federica
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
defined('_JEXEC') or die('Restricted access'); ?>
<script language="javascript" type="text/javascript">
        function submitbutton(pressbutton) {
                var form = document.adminForm;
                if (pressbutton == 'cancel') {
                        submitform( pressbutton );
                        return;
                }

                // do field validation
                if (form.name.value == ""){
                        alert( "<?php echo JText::_( 'AUTHOR ITEM MUST HAVE A NAME', true ); ?>" );
                } else {
                        submitform( pressbutton );
                }
        }
</script>
<div class="col100">
<!-- inizio caricamento immagine-->
        <fieldset class="adminform">
                <legend><?php echo JText::_( 'UPLOAD IMAGE' ); ?></legend>
<table class="admintable">
        <tr>
                <td width="150" align="right" class="key">
			<?php echo JHTML::_("tooltip", JText::_( 'TIP_UPLOAD_IMAGE' ), JText::_( 'UPLOAD IMAGE' ));?>
                        <label for="Filedata" title="Upload a cover image">
				<?php echo JText::_( 'IMAGE' );?>
                                (<?php echo JText::_( 'max' ); ?>&nbsp;<?php echo ($this->imageconfig->get('upload_maxsize') / 1000000); ?>Mb)</label>
                </td>
                <td width="100" align="right" class="key">
                <form action="<?php echo JURI::base(); ?>index.php?option=com_media&amp;task=file.upload&amp;tmpl=component&amp;<?php echo $this->session->getName().'='.$this->session->getId(); ?>&amp;<?php echo JUtility::getToken();?>=1&amp;folder=<?php echo $this->lists['img_path']; ?>" id="uploadForm" method="post" enctype="multipart/form-data">
                <div style="white-space: nowrap">
                        <input type="file" id="file-upload" name="Filedata" />
                        <input type="submit" id="file-upload-submit" value="<?php echo JText::_('START UPLOAD'); ?>"/>
                        <span id="upload-clear"></span>
                </div>
                        <input type="hidden" name="return-url" value="<?php echo base64_encode('index.php?option=com_abook&controller=author&task=edit&cid[]='.$this->author->id); ?>" />
                                </form>
                </td>
        </tr>
</table>
</fieldset>
<!-- fine caricamento immagine-->
	<fieldset class="adminform">
		<legend><?php echo JText::_( 'DETAILS' ); ?></legend>
		<form action="index.php" method="post" name="adminForm" id="adminForm">
		<table class="admintable">
		<tr>
			<td width="100" align="right" class="key">
				<label for="name">
					<?php echo JText::_( 'NAME' ); ?>:
				</label>
			</td>
			<td>
				<input class="text_area" type="text" name="name" id="name" size="32" maxlength="250" value="<?php echo $this->author->name;?>" />
			</td>
		</tr>
                <tr>
			<td width="100" align="right" class="key">
				<?php echo JHTML::_("tooltip", JText::_( 'TIP_ALIAS' ), JText::_( 'ALIAS' ) );?>
				<label for="alias">
					<?php echo JText::_( 'ALIAS' ); ?>:
				</label>
			</td>
                        <td>
                                <input class="text_area" type="text" name="alia" id="alias" size="32" maxlength="250" value="<?php echo $this->author->alias;?>" />
                        </td>
                </tr>
		<tr>
                       <td class="key">
                               <label for="image">
                                       <?php echo JText::_( 'IMAGE' ); ?>:
                               </label>
                       </td>
                       <td>
                               <?php echo $this->lists['image']; ?>
                       </td>
                </tr>
		<tr>
                        <td>&nbsp;</td>
                        <td>
                                <script language="javascript" type="text/javascript">
                                        if (document.forms.adminForm.image.options.value!=''){
                                              jsimg='<?php echo '../images/'.$this->lists['img_path'].'/'; ?>' + getSelectedValue( 'adminForm', 'image' );
                                        } else {
                                              jsimg='../images/M_images/blank.png';
                                        }
                                        document.write('<img src=\"' + jsimg + '\" name="imagelib" width="80" height="80" border="2" alt="<?php echo JText::_( 'PREVIEW', true ); ?>" />');
                                </script>
                         </td>
                </tr>
                <tr>
                        <td width="100" align="right" class="key">
                                <label for="html">
                                        <?php echo JText::_( 'DESCRIPTION' ); ?>:
                                </label>
                        </td>
			<td>
				<?php
                                        $editor =& JFactory::getEditor();
                                        echo $editor->display('html', $this->author->html, '550', '400', '60', '20', true);
                                ?>
                        </td>
                </tr>
	</table>
	</fieldset>
</div>
<div class="clr"></div>
<?php echo JHTML::_( 'form.token' ); ?>
<input type="hidden" name="option" value="com_abook" />
<input type="hidden" name="cid" value="<?php echo $this->author->id; ?>" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="controller" value="author" />
</form>
<p><?php echo $this->lists['credit']; ?></p>
