<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010 Ugolotti Federica
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
defined('_JEXEC') or die('Restricted access'); ?>
<script language="javascript" type="text/javascript">
function submitbutton(task)
        {

                var form = document.adminForm;

                if (task == 'cancel') {
                        submitform( task );
                        return;
                }
                else if (form.title.value == ""){
                        alert( "<?php echo JText::_( 'BOOK ITEM MUST HAVE A TITLE', true); ?>" );
		}
                else if (form.catid.value == 0){
                        alert( "<?php echo JText::_( 'YOU MUST SELECT A CATEGORY', true); ?>" );
                } else {
                        allSelected(document.adminForm['idauth[]']);
                        submitform( task );
                }
        }
        function allSelected(element) {

                for (var i=0; i<element.options.length; i++) {
                        var o = element.options[i];
                        o.selected = true;
                }
        }
</script>
<!-- inizio caricamento immagine-->
	<fieldset class="adminform">
		<legend><?php echo JText::_( 'UPLOAD IMAGE' ); ?></legend>
<table class="admintable">
	<tr>
		<td width="150" align="right" class="key">
			<?php echo JHTML::_("tooltip", JText::_( 'TIP_UPLOAD_IMAGE' ), JText::_( 'UPLOAD IMAGE' ));?>
			<label for="Filedata">
				<?php echo JText::_( 'IMAGE' );?>
				(<?php echo JText::_( 'max' ); ?>&nbsp;<?php echo ($this->imageconfig->get('upload_maxsize') / 1000000); ?>Mb)</label>
		</td>
		<td width="100" align="right" class="key">
		<form action="<?php echo JURI::base(); ?>index.php?option=com_media&amp;task=file.upload&amp;tmpl=component&amp;<?php echo $this->session->getName().'='.$this->session->getId(); ?>&amp;<?php echo JUtility::getToken();?>=1&amp;folder=<?php echo $this->lists['path']; ?>" id="uploadForm" method="post" enctype="multipart/form-data">
		<div style="white-space: nowrap">
                        <input type="file" id="file-upload" name="Filedata" />
                        <input type="submit" id="file-upload-submit" value="<?php echo JText::_('START UPLOAD'); ?>"/>
			<span id="upload-clear"></span>
		</div>
                        <input type="hidden" name="return-url" value="<?php echo base64_encode('index.php?option=com_abook&controller=book&task=edit&cid[]='.$this->book->id); ?>" />
                                </form>
		</td>
	</tr>
</table>
</fieldset>
<!-- fine caricamento immagine-->
<fieldset class="adminform">
                <legend><?php echo JText::_( 'DETAILS' ); ?></legend>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
   <tr>
      <td valign="top">
	<form action="index.php" method="post" name="adminForm" id="adminForm" enctype="multipart/form-data">
		<table class="admintable">
		                <tr>
                        <td width="100" align="right" class="key">
                                <label for="title">
                                        <?php echo JText::_( 'TITLE' ); ?>:
                                </label>
                        </td>
                        <td>
                                <input class="text_area" type="text" name="title" id="title" size="32" maxlength="250" value="<?php echo $this->book->title;?>" />
                        </td>
                </tr>
                <tr>
                        <td width="100" align="right" class="key">
                                <label for="subtitle">
                                        <?php echo JText::_( 'SUBTITLE' ); ?>:
                                </label>
                        </td>
                        <td>
                                <input class="text_area" type="text" name="subtitle" id="subtitle" size="32" maxlength="250" value="<?php echo $this->book->subtitle;?>" />
                        </td>
                </tr>
                <tr>
                        <td width="100" align="right" class="key">
                                <?php echo JHTML::_("tooltip", JText::_( 'TIP_ALIAS' ), JText::_( 'ALIAS' ) );?>
                                <label for="alias">
                                        <?php echo JText::_( 'ALIAS' ); ?>:
                                </label>
                        </td>
                        <td>
                                <input class="text_area" type="text" name="alias" id="alias" value="<?php echo $this->book->alias; ?>" size="50" maxlength="255" />
                        </td>
                </tr>
                <tr>
                        <td valign="top" align="right" class="key">
                                <label for="catid">
                                        <?php echo JText::_( 'CATEGORY' ); ?>:
                                </label>
                        </td>
                        <td>
                                <?php echo $this->lists['catid']; ?>
                        </td>
                </tr>
		<tr>
			<td width="100" align="right" class="key">
				<label for="image">
					<?php echo JText::_( 'SELECT IMAGE' ); ?>:
				</label>
			</td>
			<td>
			<?php echo $this->lists['images'];?>
			</td>
		</tr>
		<tr>
			<td width="100" align="right" class="key">
				<label><?php echo JText::_( 'SELECTED IMAGE' ); ?>:</label>
			</td>
			<td>
			<script language="javascript" type="text/javascript">
                		if (document.forms.adminForm.image.options.value!=''){
                                       	jsimg='<?php echo '../images/'.$this->lists['path'].'/'; ?>' + getSelectedValue( 'adminForm', 'image' );
                                } else {
                                        jsimg='../images/M_images/blank.png';
                                }
                                document.write('<img src=\"' + jsimg + '\" name="imagelib" width="80" height="80" border="2" alt="<?php echo JText::_( 'PREVIEW', true ); ?>" />');
                          </script>
			</td>
		</tr>
		                <tr>
                        <td width="100" align="right" class="key">
				<?php echo JHTML::_("tooltip", JText::_( 'TIP_FILE_PATH' ), JText::_( 'FILE' ) );?>
                                <label for="file">
                                        <?php echo JText::_( 'FILE' ); ?>:
                                </label>
                        </td>
                        <td>
                        <?php echo $this->lists['files'];?>
                        </td>
                </tr>
		<tr>
			<td width="100" align="right" class="key">
                                <label for="dateinsert">
                                        <?php echo JText::_( 'DATE INSERT' ); ?>:
                                </label>
                        </td>
			<td>
				<?php echo JHTML::_('calendar', @$this->book->dateinsert, 'dateinsert', 'dateinsert', '%Y-%m-%d %H:%M:%S', array('class'=>'inputbox', 'size'=>'25',  'maxlength'=>'19')); ?>
                        </td>
		</tr>
		<tr>
                        <td valign="top" align="right" class="key">
                                <label for="published">
                                        <?php echo JText::_( 'PUBLISHED' ); ?>:
                                </label>
                        </td>
                        <td>
                                <?php echo $this->lists['published']; ?>
                        </td>
                </tr>
		<tr>
                       <td valign="top" class="key">
                               <label for="access">
                                       <?php echo JText::_( 'ACCESS LEVEL' ); ?>:
                               </label>
                       </td>
                       <td>
                          <?php echo $this->lists['access']; ?>
                       </td>
                </tr>
		<tr>
			<td width="100" align="right" class="key">
                                <label for="year">
                                        <?php echo JText::_( 'YEAR' ); ?>:
                                </label>
                        </td>
			<td>
				<input class="text_area" type="text" name="year" id="year" value="<?php echo $this->book->year; ?>" size="4" maxlength="4" />
			</td>
		</tr>
		<tr>
                        <td valign="top" align="right" class="key">
                                <label for="idlocation">
                                        <?php echo JText::_( 'LOCATION' ); ?>:
                                </label>
                        </td>
                        <td>
                                <?php echo $this->lists['location']; ?>
                        </td>
                </tr>
                <tr>
                        <td valign="top" align="right" class="key">
                                <label for="idlibrary">
                                        <?php echo JText::_( 'LIBRARY' ); ?>:
                                </label>
                        </td>
                        <td>
                                <?php echo $this->lists['library']; ?>
                        </td>
                </tr>
		<tr>
			<td width="100" align="right" class="key">
				<label for="catalogo">
					<?php echo JText::_( 'CATALOG NUMBER' ); ?>:
				</label>
			</td>
			<td>
			<input class="text_area" type="text" name="catalogo" id="catalogo" size="32" maxlength="15" value="<?php echo $this->book->catalogo;?>" />
                        </td>
                </tr>
		<tr>
                        <td valign="top" align="right" class="key">
                                <label for="ideditor">
                                        <?php echo JText::_( 'EDITOR' ); ?>:
                                </label>
                        </td>
                        <td>
                                <?php echo $this->lists['ideditor']; ?>
                        </td>
                </tr>
		<tr>
			<td valign="top" align="right" class="key">
				<label for="editedby">
				<?php echo JText::_( 'EDITED BY' ); ?>:
				</label>
			</td>
			<td>
				<?php echo $this->lists['editedby']; ?>	
			</td>
		</tr>
                <tr>
                        <td valign="top" align="right" class="key">
                                <label for="idauth">
                                        <?php echo JText::_( 'AUTHORS' ); ?>:
                                </label>
			</td>
			<td>
				<table><tr><td>
					<?php echo $this->lists['idauth']; ?>
                  		</td>
                  		<td>

                    <input value="&lt;&lt;&lt; <?php echo JText::_( 'ADD' ); ?>" onclick="javascript:  addSelectedToList( 'adminForm', 'author', 'idauth' );delSelectedFromList( 'adminForm', 'author' );" type="button">
                    <br>
                    <input value="<?php echo JText::_( 'REMOVE' ); ?> &gt;&gt;&gt;" onclick="javascript:addSelectedToList( 'adminForm', 'idauth', 'author' );delSelectedFromList( 'adminForm', 'idauth' );" type="button">

                        	</td>
                        	<td>
                                <?php echo $this->lists['author']; ?>
                        	</td></tr></table>
			</td>
                </tr>
                <tr>
                        <td valign="top" align="right" class="key">
                                <label for="price">
                                        <?php echo JText::_( 'PRICE' ); ?>:
                                </label>
                        </td>
                        <td>
                                <input class="text_area" type="text" name="price" id="price" size="32" maxlength="250" value="<?php echo $this->book->price;?>" />
                        </td>
                </tr>
                <tr>
                        <td valign="top" align="right" class="key">
                                <label for="pag">
                                        <?php echo JText::_( 'PAGES' ); ?>:
                                </label>
                        </td>
                        <td>
                                <input class="text_area" type="text" name="pag" id="pag" size="32" maxlength="250" value="<?php echo $this->book->pag;?>" />
                        </td>
                </tr>
                <tr>
                        <td valign="top" align="right" class="key">
                                <label for="isbn">
                                        <?php echo JText::_( 'ISBN' ); ?>:
                                </label>
                        </td>
                        <td>
                                <input class="text_area" type="text" name="isbn" id="isbn" size="32" maxlength="250" value="<?php echo $this->book->isbn;?>" />
                        </td>
                </tr>
		<tr>
                        <td valign="top" align="right" class="key">
                                <label for="user_id">
                                        <?php echo JText::_( 'Review by' ); ?>:
                                </label>
                        </td>
                        <td>
                                <?php echo $this->lists['user_id'];?>
                        </td>
                </tr>
		<tr>
                        <td valign="top" align="right" class="key">
                                <label for="created_by_alias">
                                        <?php echo JText::_( 'Author alias' ); ?>:
                                </label>
                        </td>
                        <td>
                                <input class="text_area" type="text" name="created_by_alias" id="created_by_alias" size="32" maxlength="255" value="<?php echo $this->book->created_by_alias;?>" />
                        </td>
                </tr>
                <tr>
                        <td width="100" align="right" class="key">
                                <label for="html">
                                        <?php echo JText::_( 'DESCRIPTION' ); ?>:
                                </label>
                        </td>
                        <td>
                                <?php
                                        $editor =& JFactory::getEditor();
                                        echo $editor->display('html', $this->book->html, '550', '400', '60', '20', true);
                                ?>
                        </td>
                </tr>
		<tr>
                        <td valign="top" align="right" class="key">
                                <label for="note">
                                        <?php echo JText::_( 'NOTE' ); ?>:
                                </label>
                        </td>
                        <td>
                                <input class="text_area" type="text" name="note" id="note" size="100" maxlength="255" value="<?php echo $this->book->note;?>" />
                        </td>
                </tr>
                <tr>
                        <td valign="top" align="right" class="key">
				<?php echo JHTML::_("tooltip", JText::_( 'TIP_URL_LABEL' ), JText::_( 'URL LABEL' ) );?>
                                <label for="url_label">
                                        <?php echo JText::_( 'URL LABEL' ); ?>:
                                </label>
                        </td>
                        <td>
                                <input class="text_area" type="text" name="url_label" id="url_label" size="32" maxlength="250" value="<?php echo $this->book->url_label;?>" />
                        </td>
                </tr>
                <tr>
                        <td valign="top" align="right" class="key">
				<?php echo JHTML::_("tooltip", JText::_( 'TIP_URL' ), JText::_( 'URL' ) );?>
                                <label for="url">
                                        <?php echo JText::_( 'URL' ); ?>:
                                </label>
                        </td>
                        <td>
                                <input class="text_area" type="text" name="url" id="url" size="32" maxlength="250" value="<?php echo $this->book->url;?>" />
                        </td>
                </tr>
		<tr>
			<td valign="top" align="right" class="key">
				<label><?php echo JText::_( 'METADATA INFORMATION' ); ?></label>
			</td>
			<td>
			</td>
		</tr>
		<tr>
                        <td valign="top" align="right" class="key">
                                <?php echo JHTML::_("tooltip", JText::_( 'TIP_METADESC' ), JText::_( 'METADESC' ) );?>
                                <label for="metadesc">
                                        <?php echo JText::_( 'METADESC' ); ?>:
                                </label>
                        </td>
                        <td>
                                <textarea class="text_area" name="metadesc" id="metadesc" cols="30" rows="5"><?php echo $this->book->metadesc;?></textarea>
                        </td>
                </tr>
		<tr>
                        <td valign="top" align="right" class="key">
				<?php echo JHTML::_("tooltip", JText::_( 'TIP_METAKEYS' ), JText::_( 'METAKEYS' ) );?>
                                <label for="metakey">
                                        <?php echo JText::_( 'METAKEYS' ); ?>:
                                </label>
                        </td>
                        <td>
                                <textarea class="text_area" name="metakey" id="metakey" cols="30" rows="5"><?php echo $this->book->metakey;?></textarea>
                        </td>
                </tr>
        </table>
	<div class="clr"></div>
<?php echo JHTML::_( 'form.token' ); ?>
	<input type="hidden" name="option" value="com_abook" />
	<input type="hidden" name="cid" value="<?php echo $this->book->id; ?>" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="controller" value="book" />
	</form>
      </td>
      <td width="40%" valign="top">
	<?php if ($this->book->id>0){?>
	<?php
        $title = JText::_( 'ADVANCED PARAMETERS' );
        echo $this->pane->startPane( 'stat-pane' );
        echo $this->pane->startPanel( $title, 'books' );
        ?>
	<table class="adminlist">
                <tr>
                        <th>
                                <?php echo JHTML::_("tooltip", JText::_( 'TIP_HITS' ), JText::_( 'HITS' ) );?>
                                <label for="image">
                                        <?php echo JText::_( 'HITS' );?>:
                                </label>
                        </th>
                        <td>
                        <?php echo $this->book->hits;?>
                        <input name="reset_hits" type="button" class="button" value="<?php echo JText::_( 'Reset' ); ?>" onclick="submitbutton('resethits');" />
                        </td>
                </tr>
                <tr>
                        <th>
                                <?php echo JHTML::_("tooltip", JText::_( 'TIP_RATE' ), JText::_( 'RATES' ));?>
                                <label for="image">
                                        <?php echo JText::_( 'RATES' );?>:
                                </label>
                        </th>
                        <td>
                        <?php
				if ($this->lists['rating']->rating>0) {
                                $html="";
                                $img = '';

                                // look for images in template if available
                                $starImageOn    = '<img src="'.DS.'images'.DS.'M_images'.DS.'rating_star.png" alt="">';
                                $starImageOff   = '<img src="'.DS.'images'.DS.'M_images'.DS.'rating_star_blank.png" alt="">';
				
				if ($this->lists['rating']->rating>0) {
                                for ($n=0; $n < $this->lists['rating']->rating; $n++) {
                                        $img .= $starImageOn;
                                	}
	                                for ($n=$this->lists['rating']->rating; $n < 5; $n++) {
        	                                $img .= $starImageOff;
                                	}
				}else{
					for ($n=0; $n < 5; $n++) {
                	                        $img .= $starImageOn;
					}
                                }
                                $html .= '<span class="content_rating'.$this->escape($this->params->get('pageclass_sfx')).'">';
                                $html .= $img .'&nbsp;/&nbsp;';
                                $html .= intval( $this->lists['rating']->rating_count );
                                $html .= "</span>\n";
				}else{
					$html=0;
				}
				echo $html;
                        ?>
                        <input type="hidden" name="id" value="<?php echo $this->book->id; ?>" />
                        <input name="reset_rates" type="button" class="button" value="<?php echo JText::_( 'Reset' ); ?>" onclick="submitbutton('resetrates');" />
                        </td>
                </tr>
	</table>
		<?php
                echo $this->pane->endPanel();
                echo $this->pane->endPane();
                ?>
<?php }?>
	        </td>
        </tr>
</table>
</fieldset>	
<p><?php echo $this->lists['credit']; ?></p>
