<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010 Ugolotti Federica
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );

class AbookViewBookelement extends JView
{
	function display($tpl = null)
	{
	global $mainframe, $option;
		$db             = & JFactory::getDBO();
		JToolBarHelper::title(   JText::_( 'BOOK MANAGER' ), 'generic.png' );
		JToolBarHelper::preferences('com_abook', '550');

                $filter_order           = $mainframe->getUserStateFromRequest( $option.'.bookselement.filter_order', 'filter_order', 'a.title', 'cmd' );
                $filter_order_Dir       = $mainframe->getUserStateFromRequest( $option.'.bookselement.filter_order_Dir', 'filter_order_Dir', '', 'word' );
		$filter_state           = $mainframe->getUserStateFromRequest( $option.'.bookselement.filter_state', 'filter_state', '*', 'word' );
		$filter_catid           = $mainframe->getUserStateFromRequest( $option.'.bookselement.filter_catid', 'filter_catid', 0, 'int' );
                $search                 = $mainframe->getUserStateFromRequest( $option.'.bookselement.search', 'search', '', 'string' );
                $search                 = JString::strtolower( $search );

                // table ordering
                $lists['order_Dir'] = $filter_order_Dir;
                $lists['order'] = $filter_order;

		// Get data from the model
		$items		= & $this->get( 'Data');
		$pagination = & $this->get( 'Pagination' );

                $lists['state'] = JHTML::_('grid.state', $filter_state );
		$lists['search']= $search;

		$javascript     = 'class="inputbox" onchange="document.adminForm.submit();"';

		$cat          =& $this->get('Categorieslist');
                $top[]    = JHTML::_('select.option','0' , JText::_('SELECT A CATEGORY'), 'id', 'treename');
                $categorieslist=array_merge($top, $cat);
                $lists['catid'] = JHTML::_('select.genericlist', $categorieslist, 'filter_catid', $javascript, 'id', 'treename' );

		JHTML::addIncludePath(JPATH_COMPONENT.DS.'helpers');
                $lists['credit']=JHTML::_('credit.credit');

		$this->assignRef('user',                JFactory::getUser());
		$this->assignRef('lists',               $lists);
                $this->assignRef('pagination', $pagination);
		$this->assignRef('items',		$items);

		parent::display($tpl);
	}
}
