<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010 Ugolotti Federica
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
defined('_JEXEC') or die('Restricted access'); ?>
<form action="index.php" method="post" name="adminForm">
<table class="adminform">
        <tr>
                <td width="100%">
			<?php echo JText::_( 'FILTER' ); ?>:
			<input type="text" name="search" id="search" value="<?php echo $this->lists['search'];?>" class="text_area" onchange="document.adminForm.submit();"/>
			<button onclick="this.form.submit();"><?php echo JText::_( 'GO' ); ?></button>
			<button onclick="document.getElementById('search').value='';this.form.submit();"><?php echo JText::_( 'RESET' ); ?></button>
                </td>
                <td nowrap="nowrap"><?php echo $this->lists['state']; ?></td>
		<td nowrap="nowrap"><?php echo $this->lists['catid']; ?></td>
        </tr>
</table>
<div id="editcell">
	<table class="adminlist">
	<thead>
		<tr>
			<th width="5">
				<?php echo JText::_( 'ID' ); ?>
			</th>
			<th width="20">
				<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count( $this->items ); ?>);" />
			</th>
			<th>
				<?php echo JText::_( 'IMG COVER' ); ?>
			</th>			
			<th>
				<?php echo JHTML::_('grid.sort',  'Title', 'a.title', $this->lists['order_Dir'], $this->lists['order'] );?>
			</th>
			<th>
                                <?php echo JText::_( 'AUTHORS' ); ?>
                        </th>
			<th>
                                <?php echo JText::_( 'EDITOR' ); ?>
                        </th>
			<th>
                                <?php echo JText::_( 'YEAR' ); ?>
                        </th>
			<th>
                                <?php echo JText::_( 'LOCATION' ); ?>
                        </th>
			<th>
                                <?php echo JText::_( 'LIBRARY' ); ?>
                        </th>
			<th>
                                <?php echo JText::_( 'CATEGORY' ); ?>
                        </th>
			<th>
				<?php echo JHTML::_('grid.sort',  'NO CATALOG', 'a.catalogo', $this->lists['order_Dir'], $this->lists['order'] );?>
                        </th>
			<th width="80"><?php echo JHTML::_('grid.sort', 'ORDER', 'a.ordering', $this->lists['order_Dir'], $this->lists['order'] ); ?></th>
                        <th width="1%"><?php echo JHTML::_('grid.order', $this->items, 'filesave.png', 'saveorder' ); ?></th>
			<th>
				<?php echo JText::_( 'PUBLISHED' ); ?>
			</th>
			<th>
				<?php echo JHTML::_('grid.sort',  'Date', 'a.dateinsert', $this->lists['order_Dir'], $this->lists['order'] );?>
                        </th>
			<th>
                                <?php echo JHTML::_('grid.sort',   'Access', 'groupname', $this->lists['order_Dir'], $this->lists['order'] ); ?>
                        </th>
			<th>
                                <?php echo JHTML::_('grid.sort',   'Hits', 'a.hits', $this->lists['order_Dir'], $this->lists['order'] ); ?>
                        </th>
			<th>
                                <?php echo JHTML::_('grid.sort',   'Rate', 'rating', $this->lists['order_Dir'], $this->lists['order'] ); ?>
                        </th>
			<th>
                                <?php echo JText::_( 'NOTE' ); ?>
                        </th>
		</tr>
	</thead>
<tfoot>
    <tr>
      <td colspan="20"><?php echo $this->pagination->getListFooter(); ?></td>
    </tr>
  </tfoot>
	<?php
	$k = 0;
	for ($i=0, $n=count( $this->items ); $i < $n; $i++)	{
		$row = &$this->items[$i];
		$link 		= JRoute::_( 'index.php?option=com_abook&controller=book&task=edit&cid[]='. $row->id );
		$link2		= JRoute::_( 'index.php?option=com_abook&controller=editor&task=edit&cid[]='. $row->editorid );
		$link3          = JRoute::_( 'index.php?option=com_abook&controller=category&task=edit&cid[]='. $row->catid );
		$published      = JHTML::_('grid.published', $row, $i );
		$checked        = JHTML::_('grid.checkedout', $row, $i );
		$access         = JHTML::_('grid.access',   $row, $i );
		?>
		<tr class="<?php echo "row$k"; ?>">
			<td>
				<?php echo $row->id; ?>
			</td>
			<td>
				<?php echo $checked; ?>
			</td>
			<td align="center">
				<a href="#edit" onmouseover="return overlib('<img src=\'..<?php echo DS.'images'.DS.$this->lists['img_path'].DS.$row->image; ?>\' />',HEIGHT,200)"  onmouseout="return nd()"; alt=""/><img src="..<?php echo DS.'images'.DS.$this->lists['img_path'].DS.$row->image; ?>" border="0" height="24" alt="" /></a>
			</td>
			<td>
				<?php
                                if (  JTable::isCheckedOut($this->user->get ('id'), $row->checked_out ) ) {
                                        echo $this->escape($row->title);
                                } else {
                                ?>
                                <span class="editlinktip hasTip" title="<?php echo JText::_( 'EDIT BOOK' );?>::<?php echo $row->title; ?>">
                                        <a href="<?php echo $link; ?>"><?php echo $this->escape($row->title); ?></a></span>
                                <?php
                                }
                                ?>
			</td>
			<td>
                                <?php echo $row->editedby==1 ? JText::_( 'EDITED BY' )." " : ""; echo $row->author; ?>
                        </td>
			<td>
				<span class="editlinktip hasTip" title="<?php echo JText::_( 'EDIT EDITOR' );?>::<?php echo $row->editor; ?>">
                                <a href="<?php echo $link2; ?>"><?php echo $row->editor; ?></a>
                        </td>
			<td align="center">
				<?php $year=$row->year==0?'':$row->year; ?>
                                <?php echo $year; ?>
                        </td>
			<td>
                                <?php echo $row->location; ?>
                        </td>
			<td>
                                <?php echo $row->library; ?>
                        </td>
			<td>
				<span class="editlinktip hasTip" title="<?php echo JText::_( 'EDIT CATEGORY' );?>::<?php echo $row->category; ?>">
                                <a href="<?php echo $link3; ?>"><?php echo $row->category; ?></a>
                        </td>
			<td align="right">
                                <?php echo $row->catalogo; ?>
                        </td>
			<td class="order" colspan="2">
                                <span><?php echo $this->pagination->orderUpIcon( $i, ($row->catid == @$this->items[$i-1]->catid), 'orderup', 'Move Up', $this->ordering ); ?></span>
                                <span><?php echo $this->pagination->orderDownIcon( $i, $n, ($row->catid == @$this->items[$i+1]->catid), 'orderdown', 'Move Down', $this->ordering );?></span>
                                <?php $disabled = $row->ordering ?  '' : '"disabled=disabled"'; ?>
                                <input type="text" name="order[]" id="order" size="5" value="<?php echo $row->ordering; ?>" <?php echo $disabled; ?> class="text_area" style="text-align: center" />
                        </td>
			<td align="center">
				<?php echo $published; ?>
			</td>
			<td align="center">
				<?php echo JHTML::_('date',  $row->dateinsert, JText::_('DATE_FORMAT_LC4') ); ?>
                        </td>
			<td align="center">
                                <?php echo $access;?>
                        </td>
			<td align="center">
                                <?php echo $row->hits;?>
                        </td>
			<td align="center" style="white-space:nowrap">
				<?php 
				$html="";
                                        $img = '';

                                        // look for images in template if available
                                        $starImageOn    = '<img src="'.DS.'images'.DS.'M_images'.DS.'rating_star.png" alt="">';
                                        $starImageOff   = '<img src="'.DS.'images'.DS.'M_images'.DS.'rating_star_blank.png" alt="">';

                                        for ($g=0; $g < $row->rating; $g++) {
                                                $img .= $starImageOn;
                                        }
                                        for ($g=$row->rating; $g < 5; $g++) {
                                                $img .= $starImageOff;
                                        }
                                        $html .= '<span class="content_rating'.$this->escape($this->params->get('pageclass_sfx')).'">';
                                        $html .= $img .'&nbsp;/&nbsp;';
                                        $html .= intval( $row->rating_count );
                                        $html .= "</span>\n<br />\n";
                                        echo $html;
				?>
                        </td>
			<td align="center">
                                <?php echo $row->note;?>
                        </td>
		</tr>
		<?php
		$k = 1 - $k;
	}
	?>
	</table>
</div>
<input type="hidden" name="option" value="com_abook" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="controller" value="book" />
<input type="hidden" name="filter_order" value="<?php echo $this->lists['order']; ?>" />
<input type="hidden" name="filter_order_Dir" value="<?php echo $this->lists['order_Dir']; ?>" />
</form>
<p><?php echo $this->lists['credit']; ?></p>
