<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010 Ugolotti Federica
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view' );

class AbookViewImportexport extends JView
{
	function display($tpl = null)
	{
		global $mainframe, $option;
		JHTML::_('behavior.tooltip');
		$document       = & JFactory::getDocument();
                $document->addStyleSheet('components/'.$option.'/css/'.$option.'.css');
		JToolBarHelper::title(   JText::_( 'IMPORT EXPORT' ), 'importexport' );
		JHTML::addIncludePath(JPATH_COMPONENT.DS.'helpers');
                $lists['credit']=JHTML::_('credit.credit');

		$types=array();
		$types[0]=array("id" => "1", "name" => "mysql backup");
		$types[1]=array("id" => "2", "name" => "csv");
		$lists['type'] = JHTML::_('select.genericlist', $types, 'type', 'onchange = "impcat();" class="inputbox" size="1"','id', 'name', 1 );
		$lists['type2'] = JHTML::_('select.genericlist', $types, 'type2', 'onchange = "expcat();" class="inputbox" size="1"','id', 'name', 1 );
		$categories=& $this->get('Categories');
		$lists['categories'] = JHTML::_('select.genericlist', $categories, 'category', 'disabled="disabled" class="inputbox" size="1"','id', 'name', 1 );
		$lists['categories2'] = JHTML::_('select.genericlist', $categories, 'category2', 'disabled="disabled" class="inputbox" size="1"','id', 'name', 1 );	
		// push data into the template
		$this->assignRef('lists',               $lists);


		parent::display($tpl);
	}
}
