<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010 Ugolotti Federica
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die('Restricted access'); ?>
<?php if ( $this->params->get( 'show_page_title', 1 ) ) { ?>
<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
        <?php echo $this->params->get( 'page_title' ); ?>
</div>
<?php } ?>
<?php if ($this->lists['checkprint']!=1){?>
<?php if ($this->params->get( 'search' )== 1) { ?>
<div class="booksearch<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
	<form action="<?php echo JRoute::_( 'index.php?option=com_abook&view=search' ); ?>" method="post" name="adminForm" id="adminForm">
		<?php echo JHTML::_( 'form.token' ); ?>
		<table>
		<tr>
			<td><input type="text" name="keyword" id="keyword" size="10" maxlength="50" value="" />
			<input type="hidden" name="task" value="search" /></td>
			<td><?php $img = JHTML::_('image.site', 'find.png', '/components/com_abook/images/', NULL, NULL, JText::_( 'Search' ), null, 0);?>
			<input type="image" name="Search" value="<?php echo JText::_( 'Search' );?>" onclick="this.form.submit()" class="button" src="<?php echo $img;?>" /></td>
		</tr>
	</form>
		<tr>
			<td>	
        		<?php $searchlink = JRoute::_( 'index.php?option=com_abook&view=search');?>
        		<a href="<?php echo $searchlink; ?>"><?php echo JText::_('Advanced Search'); ?></a>
			</td>
		</tr>
                </table>
</div>
<?php } ?>
<div style="clear:both;"></div>
<?php if ($this->params->get( 'breadcrumb' )== 2) { ?>
<p><div><a href="<?php echo JRoute::_('index.php?option=com_abook&view=categories');?>"><?php echo JText::_('BACK TO TOP'); ?></a> <?php echo '>';?>
        <?php
        $n=count($this->lists['catname']);
        foreach ($this->lists['catname'] as $k => $catname){
                echo '<a href="' .JRoute::_('index.php?option=com_abook&view=category&id=' .$catname->slug) .'">' .$catname->name .'</a>';
                if ($k!=$n-1) echo ' > ';
        }
        ?>
	<hr class="separator<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
</div></p>
<?php } ?>
<?php } ?>
<table class="contentpaneopen<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
	<tr>
		<td class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" width="100%">
			<?php echo $this->book->title;?><br /><small><small><span class="subtitle"><?php echo $this->book->subtitle;?></span></small></small>
		</td>
	<?php if (!$this->print) { ?>
		<?php if ($this->params->get('show_pdf_icon')) { ?>
		<td class="buttonheading" valign="top">
			<?php echo JHTML::_('icon.pdf',  $this->book, $this->params, $this->book->access); ?>	
		</td>
		<?php } ?>
		<?php if ( $this->params->get( 'show_print_icon' )) { ?>
		<td class="buttonheading" valign="top">
                        <?php echo $this->lists['print']; ?>
                </td>
		<?php } ?>
	<?php }else{ ?>
		<td class="buttonheading">
                        <?php echo $this->lists['print_screen']; ?>
                </td>
	<?php } ?>
	</tr>
</table>
<table class="booktab<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
	<tr class="bookheader<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
		<td width="100px">
		<?php if ($this->book->image){
			echo '<a href="'.$this->lists['img_path'] .'/' .$this->book->image.'" 
			style="cursor: pointer;" class="modal" title="'.JText::_('COVEROF').' '.$this->book->title.'">
			<img src="'.$this->lists['img_path'] .'/' .$this->book->image.'" width="100" hspace="5" vspace="5"  alt="'.JText::_('COVEROF').' '.$this->book->title.'">
			</a>';
                }else{
                	echo '<img src="components/com_abook/images/nocover.png" hspace="5" vspace="5" width="80" alt="'.JText::_('NOCOVEROF').' '.$this->book->title.'" class="nocover"/>';
                }
                ?>
                </td>
		<td>
					<div><strong><?php echo JText::_('Category');?>: </strong>
                                        <?php
                                        $n=count($this->lists['catname']);
                                        $k=0;
                                        foreach ($this->lists['catname'] as $catname){
                                        $k=$k +1;
                                        echo '<a href="' .JRoute::_('index.php?option=com_abook&view=category&id=' .$catname->slug) .'">' .$catname->name .'</a>';
                                        if ($k!=$n) echo ' > ';
                                        }
                                        ?>
                			</div>
				<?php if ($this->lists['authors']!=null){ ?>
					<div><strong><?php echo $this->book->editedby==1? JText::_('Edited by') : JText::_('Author');?>: </strong>
					<?php
                        		$n=count($this->lists['authors']);
                        		$k=0;
                        		foreach ($this->lists['authors'] as $author){
                                		$k=$k +1;
                                		$link = JRoute::_( 'index.php?option=com_abook&view=author&id='. $author->slug );
                                		echo '<a href="' .$link .'">' .$author->author .'</a>';
                                		if ($n != $k) echo ", ";
                        		}
                        		?>
					</div>
				<?php } ?>
				<?php if ($this->lists['editorname']!=''){ ?>
                			<div><strong><?php echo JText::_('Editor');?>: </strong><?php echo $this->lists['editorname'];?></div>
				<?php } ?>
			        <?php if ($this->book->pag>0){ ?>
			                <div><strong><?php echo JText::_('Pages');?>: </strong><?php echo $this->book->pag;?></div>
			        <?php } ?>
			        <?php if ($this->book->price!=''){ ?>
			                <div><strong><?php echo JText::_('Price');?>: </strong><?php echo $this->book->price;?></div>
			        <?php } ?>
			        <?php if ($this->book->isbn!=''){ ?>
			                <div><strong><?php echo JText::_('ISBN');?>: </strong><?php echo $this->book->isbn;?></div>
			        <?php } ?>
				<?php if ($this->book->catalogo!=''){ ?>
                                        <div><strong><?php echo JText::_('Catalog_number');?>: </strong><?php echo $this->book->catalogo;?></div>
                                <?php } ?>
			        <?php if ($this->lists['library']!=''){ ?>
			                <div><strong><?php echo JText::_('Library');?>: </strong><?php echo $this->lists['library'];?></div>
			        <?php } ?>
				<?php if ($this->lists['locationname']!=''){ ?>
                                        <div><strong><?php echo JText::_('Location name');?>: </strong><?php echo $this->lists['locationname'];?></div>
                                <?php } ?>
			        <?php if ($this->book->year!=0){ ?>
			                <div><strong><?php echo JText::_('Year');?>: </strong><?php echo $this->book->year;?></div>
			        <?php } ?>
			        <?php if (($this->book->url!='') && ($this->params->get('linkto')==1)){ ?>
			                <div><strong><?php echo JText::_('Link');?>: </strong>
					<?php if($this->params->get('linkimage')!=''){?>
					<a href="<?php echo $this->book->url;?>" class="cart" target="_blank">
						<img src="<?php echo 'components/com_abook/images/link/'.$this->params->get('linkimage', 'carrello.png');?>" hspace="5px" style="vertical-align:middle;" />
					</a>
					<?php }?> 
					<a href="<?php echo $this->book->url;?>" class="cart" target="_blank"><?php echo $this->book->url_label;?></a></div>
			        <?php } ?>
				<?php if ($this->book->file!=''){ ?>
					<div><strong><?php echo JText::_('file');?>: </strong><?php echo $this->lists['file_path'];?></div>
				<?php } ?>
				<?php if ($this->book->note!=''){ ?>
                                        <div><strong><?php echo JText::_('Note');?>: </strong><?php echo $this->book->note;?></div>
                                <?php } ?>
		</td>
	</tr>
	<?php if (!$this->print) { ?>
	        <tr class="bookheader<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
                <td>
                <?php
                $params = &JComponentHelper::getParams( 'com_abook' );
                if ($params->get( 'show_hits' )==1){?>
                        <strong><?php echo JText::_('Hits');?>:</strong> <?php echo $this->book->hits;?>
                <?php }?>
		</td>
		<td>
                <?php
                $uri = & JFactory::getURI();
                if ($params->get( 'view_rate' )){
                        $html='';
                        $html .= '<form method="post" action="index.php?option=com_abook&view=book&catid='.$this->lists['catname'][0]->slug.'&id='. $this->book->id .':'.$this->book->title.'">';
                        $img = '';

                        // look for images in template if available
                        $starImageOn    = JHTML::_('image.site',  'rating_star.png', '/images/M_images/' );
                        $starImageOff   = JHTML::_('image.site',  'rating_star_blank.png', '/images/M_images/' );

                        for ($i=0; $i < $this->vote['rating']; $i++) {
                                $img .= $starImageOn;
                        }
                        for ($i=$this->vote['rating']; $i < 5; $i++) {
                                $img .= $starImageOff;
                        }
                        $html .= '<span class="content_rating'.$this->escape($this->params->get('pageclass_sfx')).'">';
                        $html .= '<strong>'.JText::_( 'User Rating' ) .':</strong> '. $img .'&nbsp;/&nbsp;';
                        $html .= intval( $this->vote['rating_count'] );
                        $html .= "</span>\n<br />";
                        if (($params->get( 'permit_rate' )==29) || ($this->user->gid>=$params->get( 'permit_rate' ))){
                                $html .= '<span class="content_vote'.$this->escape($this->params->get('pageclass_sfx')).'">';
                                $html .= JText::_( 'Poor' );
                                $html .= '<input type="radio" alt="vote 1 star" name="user_rating" value="1" />';
                                $html .= '<input type="radio" alt="vote 2 star" name="user_rating" value="2" />';
                                $html .= '<input type="radio" alt="vote 3 star" name="user_rating" value="3" />';
                                $html .= '<input type="radio" alt="vote 4 star" name="user_rating" value="4" />';
                                $html .= '<input type="radio" alt="vote 5 star" name="user_rating" value="5" checked="checked" />';
                                $html .= JText::_( 'Best' );
                                $user =& JFactory::getUser();
                                $html .= '&nbsp;<input class="button" type="submit" name="submit_vote" value="'. JText::_( 'Rate' ) .'" />';
                                $html .= '<input type="hidden" name="task" value="vote" />';
                                $html .= '<input type="hidden" name="controller" value="book" />';
                                //$html .= '<input type="hidden" name="url" value="index.php" />';

                                $html .= '<input type="hidden" name="cid" value="'. $this->book->id .'" />';
                                $html .= '<input type="hidden" name="url" value="'.  $uri->toString( ) .'" />';
                        }
                        $html .= '</span>';
                        $html .= '</form>';
                        echo $html;
                }
                ?>
                </td>
        </tr>
        <?php }?>
	<?php if ($this->book->html!=''){ ?>
	<tr>
		<td colspan="2" class="bookreview<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
			<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>"><small><?php echo JText::_('Review');?></small></div>
			<?php if ($this->book->user_id!=0 || $this->book->created_by_alias!=''){ ?>
			<div class="small<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
			<?php echo JText::_( 'Written by').' '. $this->lists['authorreview']; ?></div>
			<?php } ?>
			<?php echo $this->book->html;?>
		</td>
	</tr> 
	<?php } ?>
	<?php if($this->params->get( 'view_date' )==1){?>
	<tr>
		<td colspan="2" class="createdate<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
			<div style="float:left;"><?php echo JText::_('Date Insert');?>: <?php echo JHTML::_('date', $this->book->dateinsert, JText::_('DATE_FORMAT_LC2')) ?></div>
			<div style="float:right;"><?php echo $this->lists['credit']; ?></div>
		</td>
	</tr>
	<?php } ?>
</table>
<?php
if (isset($this->lists['checkprint']) && $this->lists['checkprint']!=1){
	if ($this->params->get( 'jcomment' )==1 && isset($this->jcomment)){
		echo $this->jcomment;
	}
}?>
