<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010 Ugolotti Federica
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die('Restricted access'); ?>
<?php if ( $this->params->get( 'show_page_title', 1 ) ) : ?>
<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
        <?php echo $this->params->get( 'page_title' ); ?>
</div>
<?php endif; ?>
<?php if ($this->params->get( 'search' )== 1) { ?>
<div class="booksearch<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
        <form action="<?php echo JRoute::_( 'index.php?option=com_abook&view=search' ); ?>" method="post" name="adminForm" id="adminForm">
		<?php echo JHTML::_( 'form.token' ); ?>
		<table>
		<tr>
                	<td><input type="text" name="keyword" id="keyword" size="10" maxlength="50" value="" />
                	<input type="hidden" name="task" value="search" /></td>
			<td>
                <?php $img = JHTML::_('image.site', 'find.png', '/components/com_abook/images/', NULL, NULL, JText::_( 'Search' ), null, 0);?>
                	<input type="image" name="Search" value="<?php echo JText::_( 'Search' );?>" onclick="this.form.submit()" class="button" src="<?php echo $img;?>" /></td>
		</tr>
        </form>
		<tr>
        		<td>
                	<?php $searchlink = JRoute::_( 'index.php?option=com_abook&view=search&keyword=');?>
                	<a href="<?php echo $searchlink; ?>"><?php echo JText::_('Advanced Search'); ?></a>
        		</td>
		</tr>
		</table>
</div>
<?php } ?>
<div style="clear:both"></div>	
	<table class="contentpaneopen<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" border="0" width="100%">
	<tr>
                        <td colspan="2" class="contentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>"><?php echo JText::_( 'CATEGORY' ); ?></td>
                </tr>
	<tfoot>
    		<tr>
      			<td colspan="9" class="book-nav"><?php echo $this->pagination->getPagesLinks(); ?></td>
    		</tr>
  	</tfoot>


	<?php
	$config =& JComponentHelper::getParams( 'com_abook' );
        $k = 0;
        $i = 0;
        $n = count( $this->items );
        $rows = &$this->items;
        foreach ($rows as $row) {
		$link 		= JRoute::_( 'index.php?option=com_abook&view=category&id='. $row->slug );
                if ($config->get( 'emptycat' )==0) {
			//if (($row->numero>0)||$row->children>0){
			if (($row->numero>0) || ($row->numero==0 && $row->children>0)){ ?>
				<tr class="sectiontableentry<?php echo $k+1; ?><?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
					<td>
						<span class="fullcat<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
						<a href="<?php echo $link; ?>"><?php echo $row->treename; ?></a> (<?php echo $row->numero; ?>)
						</span>
					</td>
				</tr>
				<?php }?>
		<?php }else{
				if ($row->numero!=0 || $row->children!=0){ ?>
					<tr class="sectiontableentry<?php echo $k+1; ?><?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
                        			<td>
							<span class="fullcat<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
                                			<a href="<?php echo $link; ?>"><?php echo $row->treename; ?></a> (<?php echo $row->numero; ?>)
							</span> 
						</td>
					</tr>
                                <?php }else{ ?>
					<tr class="sectiontableentry<?php echo $k+1; ?><?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
                                                <td>
                                        		<span class="emptycat<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
							<?php echo $row->treename; ?> (<?php echo $row->numero; ?>)
							</span>
						</td>
					</tr>
					<?php }?>
		<?php } ?>
		<?php
		$k = 1 - $k;
		$i= 1 + $i;
	}
	?>
	<tr>
                <td>
                        <div style="float:left;"></div>
                        <div style="float:right;"><?php echo $this->lists['credit']; ?></div>
                </td>
        </tr>
	</table>
