<?php
/**
 * @package Joomla
 * @subpackage Abook
 * @copyright (C) 2010 Ugolotti Federica
 * @license GNU/GPL, see LICENSE.php
 * Abook is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License 2
 * as published by the Free Software Foundation.

 * Abook is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with Abook; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

defined('_JEXEC') or die('Restricted access'); ?>

	<table class="contentpaneopen<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
	<thead>
                <tr>
                        <td colspan="2"><hr class="separator"><?php echo $this->lists['n_items']; ?><hr class="separator"></td>
                </tr>
        </thead>
	<tfoot>
    		<tr>
      			<td colspan="2" class="book-nav"><?php echo $this->pagination->getPagesLinks(); ?></td>
    		</tr>
  	</tfoot>


	<?php
	$params = &JComponentHelper::getParams( 'com_abook' );
        $imgpath=$params->get( 'img_path' );
        $k = 0;
        $i = 0;
        $n = count( $this->items );
        $rows = &$this->items;
        foreach ($rows as $row) {
		$link 		= JRoute::_( 'index.php?option=com_abook&view=book&catid='.$row->slugcat.'&id='. $row->slug );
		$link2           = JRoute::_( 'index.php?option=com_abook&view=category&id='. $row->slugcat );
		?>
		<tr class="sectiontableentry<?php echo $k+1; ?><?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
			<td width="100" height="100">
			<?php if ($row->image){
					echo '<a href="'.$link.'" title="'.JText::_('COVEROF').' '.$row->title.'"><img src="images/'.$imgpath.'/'.$row->image .'" width="80" hspace="5" vspace"5" alt="'.JText::_('COVEROF').$row->title.'" /></a>';
			      }else{
					echo '<a href="'.$link.'" title="'.JText::_('COVEROF').' '.$row->title.'"><img src="components/com_abook/images/nocover.png" width="80" hspace="5" vspace"5" alt="'.JText::_('NOCOVEROF').' '.$row->title.'" class="nocover" /></a>';
			      }?>
			</td>
			<td width="90%">
				<a href="<?php echo $link; ?>"><?php echo '<big><strong>' .$row->title .'</strong></big>';
                                        if ($row->subtitle){
                                                echo "<br /><em>" .$row->subtitle ."</em>";
                                        }?>
                                </a>
				<?php if ($row->author!=''){ ?>
					<p><?php echo $row->editedby==1 ? JText::_('Edited by') : JText::_('By'); echo " " .$row->author;?></p>	
				<?php } ?>
				<p><?php echo JText::_('category') .': <a href='.$link2.'>' .$row->cattitle."</a>";?></p>
				<?php //rating
                                if ($params->get( 'view_rate' )){
                                        $html="";
                                        $img = '';

                                        // look for images in template if available
                                        $starImageOn    = JHTML::_('image.site',  'rating_star.png', '/images/M_images/' );
                                        $starImageOff   = JHTML::_('image.site',  'rating_star_blank.png', '/images/M_images/' );

                                        for ($i=0; $i < $row->rating; $i++) {
                                                $img .= $starImageOn;
                                        }
                                        for ($i=$row->rating; $i < 5; $i++) {
                                                $img .= $starImageOff;
                                        }
                                        $html .= '<span class="content_rating'.$this->escape($this->params->get('pageclass_sfx')).'">';
                                        $html .= JText::_( 'User Rating' ) .':'. $img .'&nbsp;/&nbsp;';
                                        $html .= intval( $row->rating_count );
                                        $html .= "</span>\n";
                                        echo $html;
                                }
                                ?>
				<?php if ($this->params->get( 'show_hits' )==1){?>
                                <p><?php echo JText::_('Hits');?>: <?php echo $row->hits;?></p>
                                <?php }?>
                                <?php //jcomment integration
                                if ($params->get( 'jcomment' )==1){
                                $comments = JPATH_BASE . DS.'components'.DS.'com_jcomments'.DS.'jcomments.php';
                                        if (file_exists($comments)) {
                                                require_once($comments);
                                                $count = JComments::getCommentsCount($row->id, 'com_abook');
                                                echo '<a href="'.$link.'">';
                                                echo $count ? ('Comments('. $count . ')') : 'Add comment';
                                                echo '</a>';
                                        }
                                }/*jcomment integration - end*/?>
			</td>
		</tr>
		<?php
		$k = 1 - $k;
		$i= 1 + $i;
	}
	?>
	</table>
</form>
